> For the complete documentation index, see [llms.txt](https://docs.tibero.com/prosync/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tibero.com/prosync/administration/apply/key-features/history/dml-error-report.md).

# DML Error Report

APPLY 프로세스가 동기화 진행 중 DML 반영을 실패 또는 장애 상황이 발생했을 때 일정 횟수를 재시도 한 뒤 report 파일로 write하는 기능이다.

DML에 관해서만 기록이 가능하며, APPLY 프로세스의 config 파일인 \[*inst\_id*]\_apply1.cfg 파일에 다음의 파라미터를 설정해야 한다.

<table><thead><tr><th width="272">파라미터</th><th>설명</th></tr></thead><tbody><tr><td>APPLY_TO_REPORT</td><td><p>Dml Error Report 기능의 사용 여부를 결정한다. (Y|N)</p><p></p><ul><li> Y : report file에 row by row로 DML이 남게 된다. (기본값)</li><li>N : report file에 row by row로 DML이 남지 않는다.</li></ul></td></tr><tr><td>APPLY_DML_ERR_REPORT_CNT</td><td>Dml Error Report 기능에 의해서 report file write가 시작되기 전 재시도 횟수를 설정하는 파라미터이다. (기본값: 20)</td></tr><tr><td>APPLY_REPORT_DIR</td><td>report 파일이 남겨질 디렉터리를 설정한다.<br>(기본값:  <code>[prosync_directory]/var/[inst_id]/dml_err</code>)</td></tr><tr><td>APPLY_REPORT_FILE_SIZE</td><td>각 프로세스 별 DML error report 파일의 최대 크기를 설정한다.<br>report 파일의 크기가 APPLY_REPORT_FILE_SIZE를 넘으면 APPLY_REPORT_BACKUP_DIR로 옮긴 후 새로운 report 파일을 생성한다. (기본값: 100MB, 범위: 1MB ~ 1GB)</td></tr><tr><td>APPLY_REPORT_BACKUP_DIR</td><td>DML error report 파일의 백업 파일이 저장되는 디렉터리 위치를 설정한다.</td></tr><tr><td>APPLY_REPORT_BACKUP_SIZE</td><td>APPLY_REPORT_BACKUP_DIR 백업되는 report 파일들의 최대 크기를 설정한다.<br>각 프로세스 별로 백업된 총 report 파일의 크기가 APPLY_REPORT_BACKUP_SIZE를 넘으면 가장 오래된 파일부터 순차적으로 삭제한다. (기본값: 0, 범위: 0 ~ 128GB)</td></tr></tbody></table>

{% hint style="info" %}
**참고**

다음의 타입들에 대해선 이 기능을 제공하지 않는다.&#x20;

아래의 타입이 있는 테이블의 경우에는 컬럼의 값이 NULL로 기록된다.

* NCHAR
* NVARCHAR
* LONG
* BLOB
* CLOB
  {% endhint %}

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tibero.com/prosync/administration/apply/key-features/history/dml-error-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
